Subject: bug#27894: closed (Re: bug#27894: Building Guix fails without '/etc/services')

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 01 Aug 2017 19:40:02 +0000

Your bug report

#27894: Building Guix fails without '/etc/services'

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
27894: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=27894
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#27894: Building Guix fails without '/etc/services'
From: Leo Famulari <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Tue, 1 Aug 2017 15:39:19 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, Aug 01, 2017 at 12:09:12PM +0200, Ludovic Courtès wrote:
> Leo Famulari <[email-masked]> skribis:
> 
> > On a system that lacks '/etc/services' (CoreOS), building Guix from
> > source fails because getaddrinfo() doesn't know how to proceed:
> >
> > ERROR: In procedure getaddrinfo: Servname not supported for ai_socktype
> >
> > I worked around this issue by downloading the binaries by hand with
> > curl.
> 
> You get the error above when running “make”, which in turn runs
> build-aux/download.scm, right?
> 
> If so, I think this can be worked around with:
> 

> diff --git a/build-aux/download.scm b/build-aux/download.scm
> index 8dfa91460..5cb2491dc 100644
> --- a/build-aux/download.scm
> +++ b/build-aux/download.scm
> @@ -31,7 +31,7 @@
>               (guix hash))
>  
>  (define %url-base
> -  "http://alpha.gnu.org/gnu/guix/bootstrap"
> +  "http://alpha.gnu.org:80/gnu/guix/bootstrap"
>  
>    ;; Alternately:
>    ;;"http://www.fdn.fr/~lcourtes/software/guix/packages"

> 
> However, the whole point of /etc/services is so that application writers
> don’t have to hard-code port number everywhere.  So I’d be tempted to
> say this is not a bug.
> 
> WDYT?

I think it's fair to say it's not a bug. Perhaps if we get more reports
from users of this system we can reconsider.

Subject: Building Guix fails without '/etc/services'
From: Leo Famulari <[email-masked]>
To: [email-masked]
Date: Mon, 31 Jul 2017 20:23:58 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On a system that lacks '/etc/services' (CoreOS), building Guix from
source fails because getaddrinfo() doesn't know how to proceed:

ERROR: In procedure getaddrinfo: Servname not supported for ai_socktype

I worked around this issue by downloading the binaries by hand with
curl.

I don't know how curl does it, but could it be possible to make the Guix
build more resilient here?